Package org.codehaus.groovy.classgen.asm.util

# Class TypeUtil

java.lang.Object
org.codehaus.groovy.classgen.asm.util.TypeUtil

    public abstract class TypeUtil
    extends java.lang.Object

A utility for getting information of types

Since:
  2.5.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TypeUtil()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.Class` | `autoboxType​(java.lang.Class type)` |
  `static java.lang.String` | `getDescriptionByName​(java.lang.String name)` |
  `static java.lang.String` | `getDescriptionByType​(ClassNode type)` |
  `static int` | `getLoadInsnByType​(org.objectweb.asm.Type type)` |
  `static int` | `getReturnInsnByType​(org.objectweb.asm.Type type)` |
  `static java.lang.String` | `getWrappedClassDescriptor​(org.objectweb.asm.Type type)` |
  `static boolean` | `isPrimitiveType​(java.lang.String name)` |
  `static boolean` | `isPrimitiveType​(ClassNode type)` |
  `static boolean` | `isPrimitiveType​(org.objectweb.asm.Type type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeUtil

    public TypeUtil()

- ## Method Details

  - ### autoboxType

    public static java.lang.Class autoboxType​(java.lang.Class type)

  - ### getLoadInsnByType

    public static int getLoadInsnByType​(org.objectweb.asm.Type type)

  - ### getReturnInsnByType

    public static int getReturnInsnByType​(org.objectweb.asm.Type type)

  - ### getWrappedClassDescriptor

    public static java.lang.String getWrappedClassDescriptor​(org.objectweb.asm.Type type)

  - ### isPrimitiveType

    public static boolean isPrimitiveType​(org.objectweb.asm.Type type)

  - ### isPrimitiveType

    public static boolean isPrimitiveType​(java.lang.String name)

  - ### isPrimitiveType

    public static boolean isPrimitiveType​(ClassNode type)

  - ### getDescriptionByType

    public static java.lang.String getDescriptionByType​(ClassNode type)

  - ### getDescriptionByName

    public static java.lang.String getDescriptionByName​(java.lang.String name)